PASDOC(1)

NAME
pasdoc - documentation generator for Pascal code

SYNOPSIS
pasdoc [OPTIONS...] [FILES...]

DESCRIPTION
PasDoc is a documentation tool for Pascal and Object Pascal source code. Documentation is generated from comments found in the source code, or from external files.

OPTIONS

@FILE
    Read options from FILE and insert them at current position. FILE must contain one option per line. Format is "name[=value]", options are named just like in the command line but without leading dashes. Option values with spaces must NOT be quoted.

-?, --help
    Show a help message and exit.

--abbreviations FILE
    Read list of abbreviations from FILE. Format is "[name] value". Values are trimmed. Lines that do not start with '[' are ignored.

-A, --additional FILE
    Specify the name of a text file with addition materials for the project.

--auto-abstract
    Automatically make an abstract description of every item from the first sentence of description for that item.

--auto-back-comments
    Consider //-style comments after an identifier in the same line as description of that identifier.

--auto-link
    Automatically create links, without the need to explicitly use @link tags.

--auto-link-exclude FILE
    Even when --auto-link is on, never automatically create links to identifiers listed in FILE. The list should contain one identifier per line.

--cache-dir DIR
    Specify cache directory for parsed files.

--conclusion FILE
    Specify the name of a text file with concluding materials for the project.

--css STYLESHEET
    Specify CSS file (will be copied into output tree) to use with HTML output.

-D, --define SYMBOL
    Assume SYMBOL is defined when parsing conditional blocks.

-d, --conditionals FILE
    Similar to --define, but reads the list of symbols from FILE.

-E, --output PATH
    Specify output path.

--external-class-hierarchy FILE
    Specify a file defining the hierarchy of classes not included in your source code, for more complete class tree diagrams.

-F, --footer FILE
    Use the contents of FILE as the footer for HTML output.

--graphviz-classes
    Write a "GVClasses.dot" file that can be used for the dot program from GraphViz to generate a class hierarchy graph.

--graphviz-uses
    Write a "GVUses.dot" file that can be used for the dot program from GraphViz to generate a unit dependency graph.

-H, --header FILE
    Use the contents of FILE as the header for HTML output.

--html-body-begin FILE
    In HTML output, put the contents of FILE right after the opening <body> tag.

--html-body-end FILE
    In HTML output, put the contents of FILE right after the closing </body> tag.

--html-head FILE
    In HTML output, put the contents of FILE inside the <head> tag.

--html-help-contents FILE
    Read contents for HtmlHelp from FILE.

--ignore-leading LIST
    Specify a list of leading characters to be ignored in comments.

--ignore-marker MARKER
    Skip comments starting with MARKER (that is, {MARKER, (*MARKER and //MARKER comments).

--implementation-comments STRATEGY
    Read implementation section of units and merge info with that taken from interface section. STRATEGY determines how info is merged:
    none
        Do not read implementation comments.
    prefer-interface
        Read both interface and implementation comments. Use whichever comment is non-empty. If they are both non-empty, use the interface comment.
    prefer-implementation
        Just like "prefer interface", but if both comments are non-empty, use the implementation comment.
    join
        Read both interface and implementation comments and concatenate them. If the interface comment is also present at the beginning of the implementation comment, it will be ignored (to avoid repetition).

--implicit-visibility VISIBILITY
    Specify how to handle class members within default class visibility, i.e. treat implicit visiblity as VISIBILITY. For a list of recognized values, check the -M option.

-I, --include PATH
    Search inside PATH when evaluating {$INCLUDE} directives.

--include-creation-time
    Include a creation timestamp inside the generated files.

--introduction FILE
    Specify the name of a text file with introductory materials for the project.

-L, --language LANG
    Output language. Valid languages are:
    ba
        Bosnian (Codepage 1250)
    bg
        Bulgarian (UTF-8)
    br.1252
        Brazilian (Codepage 1252)
    br.utf8
        Brazilian (UTF-8)
    ct
        Catalan
    cz
        Czech (Codepage 1250)
    cz.iso-8859-2
        Czech (Codepage ISO-8859-2)
    de
        German (Codepage ISO-8859-15)
    de.utf8
        German (UTF-8)
    dk
        Danish
    en
        English
    es
        Spanish
    fr
        French (Codepage ISO-8859-15)
    fr.utf8
        French (UTF-8)
    gb2312
        Chinese (Simple, gb2312)
    hu.1250
        Hungarian (Codepage 1250)
    id
        Indonesian
    it
        Italian
    jv
        Javanese
    mr
        Croatian
    nl
        Dutch
    pl.cp1250
        Polish (Codepage CP1250)
    pl.iso-8859-2
        Polish (Codepage ISO 8859-2)
    ru.866
        Russian (Codepage 866)
    ru.1251
        Russian (Codepage 1251)
    ru.koi8r
        Russian (KOI-8)
    ru.utf8
        Russian (UTF-8)
    se
        Swedish
    sk
        Slovak (Codepage 1250)

--latex-head FILE
    Specify a file that includes lines to be inserted into the preamble of the output LaTeX file.

--link-gv-classes FORMAT
    Add a link to a "GVClasses.FORMAT" file generated by the dot program, where FORMAT is any extension that dot can generate (e.g. jpg). Currently available only for HTML output.

--link-gv-uses FORMAT
    Add a link to a "GVUses.FORMAT" file generated by the dot program, where FORMAT is any extension that dot can generate (e.g. jpg). Currently available only for HTML output.

--link-look STYLE
    Controls how links are displayed in documentation. Possible values are:
    default
        Show the complete link name, as specified by @link.
    full
        Show the complete link name, and try to make each part of it a link.
    stripped
        Show only last part of the link.

--lowercase-keywords
    Convert all literal tag keywords to lowercase (e.g. @nil, @false, @true).

-M, --visible-members LIST
    Only include members of given visibility. Recognized visibilities are: pulished, public, protected, strictprotected, private, strictprivate, automated, implicit.

--markdown
    Decode Markdown syntax.

--marker MARKER
    Parse only {MARKER, (*MARKER and //MARKER comments. Overrides the --staronly option.

--marker-optional
    Do not require the markers given by the --marker option, but remove them from the comment if they exist.

-N, --name NAME
    Specify a name for the documentation.

--no-macro
    Disable support for FPC macros.

--numericfilenames
    Make the HTML generator create numeric filenames.

-O, --format FORMAT
    Specify the output format. Must be one of: html, htmlhelp, latex, latex2rtf, php or simplexml.

-R, --description FILE
    Read descriptions from FILE.

--sort GROUPLIST
    Specifies which groups of items are sorted (the rest is presented in the same order they were declared in source files). Recognized groups are: constants, functions, methods, non-record-fields, properties, record-fields, structures, types, variables.

-S, --source FILE
    Read the list of source filenames from FILE.

--spell-check
    Enable spell-checking (via Aspell). Specify language by using the --language option.

--spell-check-ignore-words FILE
    When spell-checking, ignore the words listed inside FILE. The list should contain one word per line.

--staronly
    Parse only {**, (*** and //** style comments.

-T, --title TITLE
    Specify the title of the documentation.

--use-tipue-search
    Use the tipue search engine in HTML output.

-v, --verbosity LEVEL
    Set log verbosity. LEVEL must be a number in the 0-6 range. Default is 2.

--version
    Show version information and exit.

--write-uses-list
    Add the uses list to the output.

-X, --exclude-generator
    Do not include information about PasDoc in the generated files.

ONLINE DOCUMENTATION
For the full documentation, visit https://pasdoc.github.io/.